
Redmine - Defect #16257

NameError (uninitialized constant PDFPatch::InstanceMethods::ITCPDF)

2014-03-06 15:56 - Pavel Potcheptsov

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.4.0

Description

Started GET "/issues/13414.pdf" for 1.1.1.1 at 2014-03-06 15:11:11 +0100

Processing by IssuesController#show as PDF

  Parameters: {"id"=>"13414"}

  Current user: eo (id=122)

Completed 500 Internal Server Error in 174.0ms

NameError (uninitialized constant PDFPatch::InstanceMethods::ITCPDF):

  app/controllers/issues_controller.rb:129:in `block (2 levels) in show'

  app/controllers/issues_controller.rb:121:in `show'

# ruby ./script/about -e production

Environment:

  Redmine version                2.4.0.stable.12309

  Ruby version                   1.9.3-p327 (2012-11-10) [i686-linux]

  Rails version                  3.2.15

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.6.11

  Git                            1.7.1

  Filesystem                     

Redmine plugins:

  multi_time_tracker             0.1.1

  projects_table                 0.0.4

  redmine_better_gantt_chart     0.9.0

  redmine_drafts                 0.2.0

  redmine_equipment_status_viewer 1.0.1

  redmine_fields_permissions     1.0.0

  redmine_hide_estimated_hours   1.0.4

  redmine_lightbox               0.0.1

  redmine_monitoring_controlling 0.1.1

  redmine_plugin_views_revisions 0.0.1

  redmine_timesheet_plugin       0.7.0

  redmine_xls_export             0.2.1.t4

History

#1 - 2014-03-06 16:54 - Pavel Potcheptsov

- Status changed from New to Resolved

This is not Redmine related.

This is  redmine_hide_estimated_hours plugin

#2 - 2014-03-12 14:29 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution set to Invalid
